com.sun.jna.platform.win32

## Class DsGetDC.DOMAIN_CONTROLLER_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DsGetDC.DOMAIN_CONTROLLER_INFO

Direct Known Subclasses:
  DsGetDC.DOMAIN_CONTROLLER_INFO.ByReference

Enclosing interface:
  DsGetDC

    public static class DsGetDC.DOMAIN_CONTROLLER_INFO
    extends Structure

The DOMAIN_CONTROLLER_INFO structure is used with the DsGetDcName function to receive data about a domain controller.

### Nested Class Summary

Nested Classes
`static class` `DsGetDC.DOMAIN_CONTROLLER_INFO.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`java.lang.String` `ClientSiteName` Pointer to a null-terminated string that specifies the name of the site that the computer belongs to.
`java.lang.String` `DcSiteName` Pointer to a null-terminated string that specifies the name of the site where the domain controller is located.
`java.lang.String` `DnsForestName` Pointer to a null-terminated string that specifies the name of the domain at the root of the DS tree.
`java.lang.String` `DomainControllerAddress` Pointer to a null-terminated string that specifies the address of the discovered domain controller.
`int` `DomainControllerAddressType` Indicates the type of string that is contained in the DomainControllerAddress member.
`java.lang.String` `DomainControllerName` Pointer to a null-terminated string that specifies the computer name of the discovered domain controller.
`Guid.GUID` `DomainGuid` The GUID of the domain.
`java.lang.String` `DomainName` Pointer to a null-terminated string that specifies the name of the domain.
`static java.util.List<java.lang.String>` `FIELDS`
`int` `Flags` Contains a set of flags that describe the domain controller.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DOMAIN_CONTROLLER_INFO()`
`DOMAIN_CONTROLLER_INFO(Pointer memory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### DomainControllerName

    public java.lang.String DomainControllerName

Pointer to a null-terminated string that specifies the computer name of the discovered domain controller. The returned computer name is prefixed with "\\". The DNS-style name, for example, "\\phoenix.fabrikam.com", is returned, if available. If the DNS-style name is not available, the flat-style name (for example, "\\phoenix") is returned. This example would apply if the domain is a Windows NT 4.0 domain or if the domain does not support the IP family of protocols.

#### DomainControllerAddress

    public java.lang.String DomainControllerAddress

Pointer to a null-terminated string that specifies the address of the discovered domain controller. The address is prefixed with "\\". This string is one of the types defined by the DomainControllerAddressType member.

#### DomainControllerAddressType

    public int DomainControllerAddressType

Indicates the type of string that is contained in the DomainControllerAddress member.

#### DomainGuid

    public Guid.GUID DomainGuid

The GUID of the domain. This member is zero if the domain controller does not have a Domain GUID; for example, the domain controller is not a Windows 2000 domain controller.

#### DomainName

    public java.lang.String DomainName

Pointer to a null-terminated string that specifies the name of the domain. The DNS-style name, for example, "fabrikam.com", is returned if available. Otherwise, the flat-style name, for example, "fabrikam", is returned. This name may be different than the requested domain name if the domain has been renamed.

#### DnsForestName

    public java.lang.String DnsForestName

Pointer to a null-terminated string that specifies the name of the domain at the root of the DS tree. The DNS-style name, for example, "fabrikam.com", is returned if available. Otherwise, the flat-style name, for example, "fabrikam" is returned.

#### Flags

    public int Flags

Contains a set of flags that describe the domain controller.

#### DcSiteName

    public java.lang.String DcSiteName

Pointer to a null-terminated string that specifies the name of the site where the domain controller is located. This member may be NULL if the domain controller is not in a site; for example, the domain controller is a Windows NT 4.0 domain controller.

#### ClientSiteName

    public java.lang.String ClientSiteName

Pointer to a null-terminated string that specifies the name of the site that the computer belongs to. The computer is specified in the ComputerName parameter passed to DsGetDcName. This member may be NULL if the site that contains the computer cannot be found; for example, if the DS administrator has not associated the subnet that the computer is in with a valid site.

### Constructor Detail

#### DOMAIN_CONTROLLER_INFO

    public DOMAIN_CONTROLLER_INFO()

#### DOMAIN_CONTROLLER_INFO

    public DOMAIN_CONTROLLER_INFO(Pointer memory)

### Method Detail

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.